commit:     f99571b242a4ce750be69986436d2dac43b5135c
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Tue Dec 15 02:46:49 2020 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Tue Dec 15 02:47:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f99571b2

dev-python/google-api-core-1.24.0: Version bump

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/google-api-core/Manifest                |  1 +
 .../google-api-core/google-api-core-1.24.0.ebuild  | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/google-api-core/Manifest 
b/dev-python/google-api-core/Manifest
index 620b2c9076a..f3ce28c7154 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1 +1,2 @@
 DIST google-api-core-1.17.0.tar.gz 98660 BLAKE2B 
7959f429dbbfd8de658b11d0ee5be253cb53d930f8b37a140dbdc89a0d25ecdc640fc91476138471603efbe1e6078d668bc3f0e06c1fb1481960970a6f5632dc
 SHA512 
fd609ce85bde22b09653bf46dd7bcc504ed93b19f8832c28f1d26ecb38a01e00380bd715191152a8d109e8c3235951b60525d4692fb4ba0eccb11a3b1df58cd2
+DIST google-api-core-1.24.0.tar.gz 129718 BLAKE2B 
08bb8aef03d5f5cbc96c06c01d103e1e569f15bad5084ba24a5e13f732b10d9d97a299fe22db7dfdaea73809e9458b811de87a028f77dcb00ca62fc069af63b1
 SHA512 
9517e86389edb824fe178128003fa245857de47f4b2416e0a345b66e02fe5fb109b7a72f2e9adfd52478862165548ce6945761a5a2ca02eda4a0187ca608760b

diff --git a/dev-python/google-api-core/google-api-core-1.24.0.ebuild 
b/dev-python/google-api-core/google-api-core-1.24.0.ebuild
new file mode 100644
index 00000000000..78bdc1d03c0
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-1.24.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="https://github.com/googleapis/python-api-core
+       https://googleapis.dev/python/google-api-core/latest";
+SRC_URI="https://github.com/googleapis/${PN//google/python}/archive/v${PV}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${P//google/python}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       dev-python/namespace-google[${PYTHON_USEDEP}]
+       dev-python/protobuf-python[${PYTHON_USEDEP}]
+       dev-python/googleapis-common-protos[${PYTHON_USEDEP}]
+       >=dev-python/google-auth-1.21.0[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+       <dev-python/requests-3[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/grpcio[${PYTHON_USEDEP}]
+               dev-python/rsa[${PYTHON_USEDEP}]
+               dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+       distutils_install_for_testing
+       pytest -vv || die "tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to